#ifndef PARTICLESYSTEM_H
#define PARTICLESYSTEM_H

#include "particle.h"
#include "vectorField.h"

class particleSystem
{
    public:
        particleSystem();
        virtual ~particleSystem();

        void clear();
        void reset(int w, int h);
        void setup(int fieldsize, int w, int h, vectorField * VF);
        void update(float time);
        void draw(float time);

        vector<particle> PTS;

    protected:
    private:
};

#endif // PARTICLESYSTEM_H
